### Method

# Foundry IntentManager dispatch

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_intent_manager_dispatch (
      FoundryIntentManager* self,
      FoundryIntent* intent
    )

#### Description [src]

Dispatch the intent to the first handler which can handle it.

Available since: 1.1

#### Parameters

`intent`

  Type: `FoundryIntent`

  A `FoundryIntent`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value if sucessful or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.